| AVR Z-LINKŪ |

# gui.ConfigurationDialog Class Reference

List of all members.

## Detailed Description

The ConfigurationDialog is a extension of the JDialog.

Application note:
  AVR414: User's Guide - ATAVRRZ502 - Accessory Kit

Author:
  Atmel Corporation: http://www.atmel.com
  Support email: avr@atmel.com

Name
  vkbakken

Revision
  1.5

RCSfile
  code_header_template_CVS_DOXYGEN.txt,v

Date
  2006/04/07 12:40:07

Definition at line 36 of file ConfigurationDialog.java.

## Public Member Functions
void | actionPerformed (ActionEvent ae)
| Handles channel selection.
| ConfigurationDialog (MainFrame parent)
| Class constructor.
String[] | getUserChoices ()
| Returns the configurations selected by the user.
void | hideDialog ()
| Hides the ConfigurationDialog.
void | itemStateChanged (ItemEvent ie)
| Handle the Coordinator and end-device check boxes.
void | propertyChange (PropertyChangeEvent pce)
| This function is called whenever the state of the buttons of the ConfigurationDialog changes.
## Static Public Attributes
static final int | CHANNEL = 0
static final int | DEVICE_TYPE = 2
static final int | PANID = 1
## Package Attributes
String[] | channelString
final int | COORDINATOR = 1
final int | END_DEVICE = 0
String[] | hexLookupTable

## Member Data Documentation

final int gui.ConfigurationDialog.CHANNEL = 0`[static]`

Definition at line 39 of file ConfigurationDialog.java.

Referenced by gui.ConfigurationDialog.actionPerformed().

String [ ] gui.ConfigurationDialog.channelString`[package]`

Initial value:

     { "11", "12", "13", "14", "15", "16", "17", "18", "19", "20",
                                                "21", "22", "23", "24", "25", "26" }

Definition at line 61 of file ConfigurationDialog.java.

Referenced by gui.ConfigurationDialog.actionPerformed(), and gui.ConfigurationDialog.ConfigurationDialog().

final int gui.ConfigurationDialog.COORDINATOR = 1`[package]`

Definition at line 44 of file ConfigurationDialog.java.

Referenced by gui.ConfigurationDialog.itemStateChanged().

final int gui.ConfigurationDialog.DEVICE_TYPE = 2`[static]`

Definition at line 41 of file ConfigurationDialog.java.

Referenced by gui.ConfigurationDialog.itemStateChanged().

final int gui.ConfigurationDialog.END_DEVICE = 0`[package]`

Definition at line 43 of file ConfigurationDialog.java.

Referenced by gui.ConfigurationDialog.itemStateChanged().

String [ ] gui.ConfigurationDialog.hexLookupTable`[package]`

Initial value:

     { "0B", "0C", "0D", "0E", "0F", "10", "11", "12", "13", "14",
                                         "15", "16", "17", "18", "19", "1A" }

Definition at line 64 of file ConfigurationDialog.java.

Referenced by gui.ConfigurationDialog.actionPerformed().

final int gui.ConfigurationDialog.PANID = 1`[static]`

Definition at line 40 of file ConfigurationDialog.java.

Referenced by gui.ConfigurationDialog.propertyChange().

@DOC_TITLE@